aboutsummaryrefslogtreecommitdiff
path: root/office/sunbird/sunbird.SlackBuild
diff options
context:
space:
mode:
authorAlthaf K Backer <althafkbacker@gmail.com>2010-05-13 01:00:38 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:38 +0200
commit1e3c8e288506841973da94649373f506986b5ff0 (patch)
tree0b50c8bdd195f0c6e5906ce904fc4840c5be9d8f /office/sunbird/sunbird.SlackBuild
parent1c401554acaa14bdaaed343a9c679160a15b4cfe (diff)
downloadslackbuilds-1e3c8e288506841973da94649373f506986b5ff0.tar.xz
office/sunbird: Added to 13.0 repository
Diffstat (limited to 'office/sunbird/sunbird.SlackBuild')
-rw-r--r--office/sunbird/sunbird.SlackBuild90
1 files changed, 90 insertions, 0 deletions
diff --git a/office/sunbird/sunbird.SlackBuild b/office/sunbird/sunbird.SlackBuild
new file mode 100644
index 000000000000..3c5ca316ebe8
--- /dev/null
+++ b/office/sunbird/sunbird.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for sunbird
+
+# Copyright 2009 Althaf K Backer (Patched the script for sunbird)
+# All rights reserved.
+# Copyright 2007-2009 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sunbird
+VERSION=${VERSION:-0.9}
+ARCH=${ARCH:-i686}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRC_VERSION=$(echo $VERSION | tr _ -)
+PLUGINS=${PLUGINS:-YES}
+GCONF=${GCONF:-NO}
+
+if [ "$ARCH" = "x86_64" ]; then
+ printf "\n\tThis is a binary repackaging for i686 only.\n\n"
+ exit 1
+else
+ ARCH=i686
+ SRC_ARCH=i686
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+
+# Set up the target enviroment and extract sunbird in there
+mkdir -p $PKG/usr/{bin,lib${LIBDIRSUFFIX}}
+tar -xvf $CWD/${PRGNAM}-${SRC_VERSION}.en-US.linux-$SRC_ARCH.tar.gz -C $PKG/usr/lib${LIBDIRSUFFIX}
+chown -R root:root .
+
+# Added "-o -perm 700" to this to take care of the borked directory permissions
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Symlink the binary into /usr/bin
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -s ../lib${LIBDIRSUFFIX}/sunbird/sunbird sunbird )
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cp $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/chrome/icons/default/default.xpm \
+ $PKG/usr/share/pixmaps/$PRGNAM.xpm
+
+cd $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv LICENSE README.txt dependentlibs.list $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}